### php.java.bridge

# Class JavaBridgeRunner

- `java.lang.Object`

- `php.java.bridge.http.HttpServer`

- `php.java.bridge.JavaBridgeRunner`

Implemented Interfaces:
  java.lang.Runnable

`public class JavaBridgeRunner`
`extends HttpServer`

This is the main entry point for the PHP/Java Bridge library. Example:
public MyClass {
public static void main(String s[]) {
JavaBridgeRunner runner = new JavaBridgeRunner();
// connect to port 9267 and send protocol requests ...
runner.destroy();
}
}

Author:
  jostb

See Also:
  `PhpScriptContext`

## Constructor Summary

`JavaBridgeRunner()`
  Create a new JavaBridgeRunner and ContextServer.

## Method Summary

`ISocketFactory`

`bind()`
  Create a server socket.

`ISocketFactory`

`getSocket()`
  Returns the server socket.

### Methods inherited from class php.java.bridge.http.HttpServer

`bind`, `destroy`, `run`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### JavaBridgeRunner

    public JavaBridgeRunner()

> Create a new JavaBridgeRunner and ContextServer.

> See Also:
>   `ContextServer`

## Method Details

### bind

    public ISocketFactory bind()

> Create a server socket.
> Overrides:
>   bind in interface HttpServer

### getSocket

    public ISocketFactory getSocket()

> Returns the server socket.

> Returns:
>   The server socket.